.\"     $NetBSD: intro.4,v 1.11 2005/06/20 13:25:24 peter Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Gregory McGarry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 19, 2001
.Dt INTRO 4 alpha
.Os
.Sh NAME
.Nm intro
.Nd introduction to alpha special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation; see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices which may be configured into
the system and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported by
.Nx Ns /alpha .
Software support for these devices comes in two forms.
A hardware device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then
compiled into the system.
When the resultant system is booted, the autoconfiguration facilities
in the system probe for the device and, if found, enable the software
support for it.
If a device does not respond at autoconfiguration time it is not
accessible at any time afterwards.
To enable a device which did not autoconfigure, the
system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4
.Sh HARDWARE
.\" http://www.support.compaq.com/alpha-tools/info/system-codes.html
.\" http://members.tripod.com/kmi9000/kmi_proc.htm
.\" http://www.phys.ufl.edu/~prescott/linux/alpha/dec3000-sysinfo.html
.Pp
.Tn DEC
and
.Tn Compaq
have produced a series of the
.Tn Alpha
.Tn CPU ,
some of which are listed below, along with some systems which contain them.
.Pp
The
.Nx
Project distributes binary programs for its
.Tn Alpha
port compiled for the lowest common denominator
.Tn CPU
instruction set, to guarantee binary compatibility across all supported
.Tn Alpha
systems.
However, it is possible to sacrifice binary compatibility for
additional performance on later model CPUs with performance enhancing
instructions (e.g. the 21164-A and later with the BWX extensions).
This requires recompiling from source code, with appropriate options given to
.Xr cc 1
to indicate the target
.Tn CPU .
.Pp
.Qq EV
stands for
.Qq Extended VAX
.Po
or
.Qq Electro Vlassic
.Pc
and the number following is a reference to the
.Tn CMOS
process used to make the chips.
.Qq LCA
stands for Low Cost Alpha, and
.Qq PCA
stands for PC-architecture Alpha.
.Pp
.Bl -hang -width 9n
.It 21064
.Sy EV4
.Po
100-200
.Tn MHz ,
0.75 micron
.Pc
.Pp
AlphaPC 64
.Pq EB64
.br
.Bl -hang -width 4n
.It Jensen family
.br
DECpc AXP 150
.Pq Jensen
.br
DEC 2000/300
.Pq Jensen
.br
DEC 2000/500
.Pq Culzen
.It Avanti family
.br
Digital's lower-end PCI-based workstations.
.Pp
AlphaStation 200 4/100-166
.Pq Mustang
.br
AlphaStation 400 4/166
.Pq Chinet
.It Sable family
.br
AlphaServer 2000 4/200
.Pq Demi-Sable
.br
AlphaServer 2100 4/200
.Pq Sable
.It Pelican family
.br
Low-end
.Tn TURBOchannel
based workstations.
.Pp
DEC 3000/300
.Pq 150 Tn MHz
.Pq Pelican
.br
DEC 3000/300X
.Pq 175 Tn MHz
.Pq Pelican+
.br
DEC 3000/300L
.Pq 100 Tn MHz
.Pq Pelica
.br
DEC 3000/300LX
.Pq 125 Tn MHz
.Pq Pelica+
.It Sandpiper family
.br
High-end
.Tn TURBOchannel
based workstations.
.Pp
DEC 3000/400
.Pq 133 Tn MHz
.Pq Sandpiper
.br
DEC 3000/600
.Pq 175 Tn MHz
.Pq Sandpiper+
.It Flamingo family
.br
High-end
.Tn TURBOchannel
based workstations.
.Pp
DEC 3000/500
.Pq 150 Tn MHz
.Pq Flamingo
.br
DEC 3000/500X
.Pq 200 Tn MHz
.Pq Hot Pink
.br
DEC 3000/800
.Pq 200 Tn MHz
.Pq Flamingo II
.El
.br
.It 21064-A
.Sy EV45
.Po
225-333
.Tn MHz ,
0.50 micron
.Pc
.Pp
DEC 3000/700
.Pq 225 Tn MHz
.Pq Sandpiper45
.br
DEC 3000/900
.Pq 275 Tn MHz
.Pq Flamingo45
.Pp
Alpha XL 233-266
.Pq XL
.br
AlphaPC 64
.Pq EB64+
.br
.Bl -hang -width 4n
.It Avanti family
.br
Digital's lower-end PCI-based workstations.
.Pp
AlphaStation 200 4/233
.Pq Mustang+
.br
AlphaStation 205 4/133-333
.Pq LX3
.br
AlphaStation 250 4/300
.Pq M3+
.br
AlphaStation 255 4/133-333
.Pq LX3+
.br
AlphaStation 300 4/266
.Pq Melmac
.br
AlphaStation 400 4/233-300
.Pq Avanti
.It Sable family
.br
AlphaServer 2000 4/233-275
.Pq Demi-Sable
.br
AlphaServer 2100 4/233-275
.Pq Sable
.El
.Pp
AlphaServer 2100A
.Pq Lynx
.It 21066
.Sy LCA4
.Po
166-233
.Tn MHz ,
0.75 micron
.Pc
.Bl -hang -width 4n
.It NoName family
.br
Digital's lowest-end family of PCI-based systems.
.Pp
DEC AXPpci33
.Pq NoName
.br
Universal Desktop Box AXPpci166MT
.Pq UDB/Multia
.El
.Pp
21066 evaluation motherboard
.Pq EB66
.It 21066-A
.Sy LCA45
.Po
233
.Tn MHz ,
0.50 micron
.Pc
.Pp
21066-A evaluation motherboard
.Pq EB66+
.It 21068
.Sy LCA4s
.Po
66-233
.Tn MHz ,
0.75 micron
.Pc
.Pp
Alpha Book
.Pq Burns
.br
Universal Desktop Box AXPpci233MT
.Pq UDB/Multia
.It 21164
.Sy EV5
.Po
250-366
.Tn MHz ,
0.50 micron
.Pc
.Pp
.Bl -hang -width 4n
.It Alcor family
.br
AlphaStation 500/266-333
.Pq Maverick
.br
AlphaStation 600/266-300
.Pq Alcor
.br
Alpha XL 300-433
.Pq XLT
.It Sable family
.br
AlphaServer 2000 5/250-300
.Pq Demi-Gamma
.br
AlphaServer 2100 5/250-300
.Pq Gamma Sable
.It Mikasa family
.br
AlphaServer 1000 5/300
.Pq Pinnacle
.It Noritake family
.br
AlphaServer 1000A 5/300
.Pq Pinnacle
.It Rawhide family
.Pq KN300
.br
AlphaServer 4000 5/266-300
.Pq Wrangler
.br
AlphaServer 4000 5/266-300
.Pq Durango
.br
AlphaServer 4100 5/266-300
.Pq Dodge
.El
.Pp
AlphaServer 8200 and 8400
.Pq Tn KN8AE
.Pp
21164 evaluation motherboard
.Pq EB164
.It 21164-A
.Sy EV56
.Po
400-766
.Tn MHz ,
0.35 micron, BWX
.Pc
.Pp
.Bl -hang -width 4n
.It Alcor family
.br
AlphaStation 500/333-500
.Pq Bret
.It Personal Workstation Pq PWS
.br
PWS 433a/433au
.Pq Miata
.br
PWS 500a/500au
.Pq Miata
.br
PWS 600a/600au
.Pq Miata
.It Sable family
.br
AlphaServer 2100 5/375-400
.Pq Gamma Sable
.br
AlphaServer 2000 5/375-400
.Pq Demi-Gamma
.It Mikasa family
.br
AlphaServer 1000 5/333-500
.Pq Primo
.It Noritake family
.br
AlphaServer 1000A 5/333-500
.Pq Primo
.br
AlphaServer 600A 5/500
.Pq Alcor-Primo
.br
AlphaServer 800 5/333-500
.Pq Corelle
.It Rawhide family
.Pq KN300
.br
AlphaServer 4000 5/400-666
.Pq Wrangler
.br
AlphaServer 4000 5/400-666
.Pq Durango
.br
AlphaServer 4100 5/400-666
.Pq Dodge
.Pp
AlphaServer 1200 5/400-666
.Pq Tincup
.br
AlphaServer 1200 5/400-666
.Pq DaVinci
.It EB164 family
.br
AlphaPC 164 motherboard
.Pq EB164
.br
AlphaPC 164LX motherboard
.Pq EB164
.br
.El
.Pp
DigitalServer 3300
.Po
rebadged AlphaServer 800 for NT
.Pc
.br
DigitalServer 5300
.Po
rebadged AlphaServer 1200 for NT
.Pc
.br
DigitalServer 7300
.Po
rebadged AlphaServer 4100 for NT
.Pc
.Pp
AlphaServer 8200 and 8400
.Pq Tn KN8AE
.Pp
APi AlphaPC 164UX motherboard
.Pq Ruffian
.It 21164-PC
.Sy PCA56
.Po
400-600
.Tn MHz ,
0.35 micron, MVI, no L2 cache
.Pc
.Pp
AlphaPC 164SX motherboard
.Pq EB164
.Pp
PWS 466au
.Pq Miata
.br
PWS 550au
.Pq Miata
.It 21264
.Sy EV6
.Po
450-600
.Tn MHz ,
0.35 micron
.Pc
.Pp
AlphaServer 8400
.Pq Tn KN8AE
.Pp
APi UP1000 and UP1100;
AMD 751-based EV6 systems.
.Pp
264DP, XP1000, DS10, DS20, APi UP2000, UP2000+
Tsunami-based systems.
.It 21264-A
.Sy EV67
.Po
600-833
.Tn MHz ,
0.28 micron
.Pc
.Pp
AlphaServer GS60E
.br
AlphaServer GS140
.It 21264-B
.Sy EV68AL
.Po
833-1250
.Tn MHz ,
0.18 micron
.Pc
.El
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of the system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.Pp
.Bl -tag -width jensenio -offset indent -compact
.It apecs
DECchip 21072/21071 Core Logic chipset
.It asc
TURBOchannel single-channel SCSI adapter
.It cia
DECchip 2117x Core Logic chipset
.It dwlpx
DEC DWLPA and DWLPB PCI adapter
.It gbus
internal bus on AlphaServer CPU modules
.It irongate
APi UP1000 AMD751 Core Logic + AGP chipset
.It jensenio
DEC 2000/300 (Jensen) I/O module
.It kft
KFTIA and KFTHA Bus Adapter Node for I/O hoses
.It lca
DECchip 21066 Core Logic chipset
.It mcbus
MCBUS system bus found on AlphaServer 4100 systems
.It mcpcia
MCPCIA MCBUS-to-PCI bus adapter
.It sableio
AlphaServer 2100 (Sable) STD I/O module
.It tcasic
TURBOchannel host bus support
.It tlsb
AlphaServer 8x00 TurboLaser System bus
.It tsc
DECchip 21272 Core Logic chipset
.It tsp
DECchip 21272 Core Logic chipset PCI controller
.It ttwoga
DEC T2 Gate Array
.It ttwopci
DEC T2 Gate Array PCI controller
.El
.Pp
TURBOchannel devices are supported through the
.Xr tc 4
bus and associated device drivers.
.Pp
PCI devices are supported through the
.Xr pci 4
bus and associated device drivers.
.Pp
ISA devices are supported through the
.Xr isa 4
bus and associated device drivers.
.Pp
EISA devices are supported through the
.Xr eisa 4
bus and associated device drivers.
.Pp
PCMCIA devices are supported through the
.Xr pcmcia 4
bus and associated device drivers.
.Pp
Console devices using ISA, EISA, or PCI video adaptors and standard AT
or PS/2 keyboards are supported by the machine independent
.Xr wscons 4
console driver.
.\" .Sh UNSUPPORTED DEVICES
.\" The following devices are not supported, due to unavailability of
.\" either documentation or sample hardware:
.\" .Pp
.\" .Bl -tag -width jensenio -offset indent -compact
.\" .It not yet
.\" .El
.\" .Pp
.Sh HISTORY
This
.Tn alpha
.Nm intro
appeared in
.Nx 1.6 .
